Skip to main content
PUT
Update Webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

ID of the webhook to update

Body

application/json

Webhook properties to update

name
string
Example:

"Updated CRM Integration"

url
string<uri>
Example:

"https://your-app.com/kakiyo/webhook/v2"

secret
string
Example:

"your_new_webhook_secret"

events
enum<string>[]
Available options:
*,
linkedin.message.sent,
linkedin.message.received,
linkedin.invitation.sent,
linkedin.invitation.accepted,
prospect.qualification.manual,
prospect.unqualified
Example:
active
boolean
Example:

true

Response

Webhook updated successfully

id
string
Example:

"webhook_12345abcde"

message
string
Example:

"Webhook updated successfully"

Last modified on April 27, 2025